#!/bin/bash

mkdir ~/.zpe/
mkdir ~/.zpe/man/
mkdir ~/.zpe/man/man1/
sudo install -g 0 -o 0 -m 0644 manual.txt ~/.zpe/man/man1/zpe.1
cp zpe ~/.zpe/zpe
cp zpe.jar ~/.zpe/

if [ -f ~/.bashrc ]; then
   echo 'export PATH=~/.zpe/:$PATH' >>~/.bashrc
   echo 'MANPATH=~/.zpe/man/zpe.1.gz:$MANPATH; export MANPATH' >>~/.bashrc
   source ~/.bashrc
fi
if [ -f ~/.bash_profile ]; then
   echo 'export PATH=~/.zpe/:$PATH' >>~/.bash_profile
   echo 'MANPATH=~/.zpe/man/zpe.1.gz:$MANPATH; export MANPATH' >>~/.bash_profile
   source ~/.bash_profile
fi
if [ -f ~/.zshrc ]; then
   echo 'export PATH=~/.zpe/:$PATH' >>~/.zshrc
   echo 'MANPATH=~/.zpe/man/zpe.1.gz:$MANPATH; export MANPATH' >>~/.zshrc
   source ~/.zshrc
fi

sudo chmod 755 ~/.zpe/zpe

echo 'Done'
